LIBKECCAK_STATE_INITIALISE(3)

NAME
libkeccak_state_initialise - Initialise hash state

SYNOPSIS
#include <libkeccak.h>
int libkeccak_state_initialise(struct libkeccak_state *state, const struct libkeccak_spec *spec);

Link with -lkeccak.

DESCRIPTION
The libkeccak_state_initialise() function initialises *state and sets the algorithm tuning parameters to those specified by *spec.

RETURN VALUES
The libkeccak_state_initialise() function returns 0 upon successful completion. On error, -1 is returned and errno is set to describe the error.

ERRORS
The libkeccak_state_initialise() function may fail for any specified for the function malloc(3).

SEE ALSO
libkeccak_state_create(3), libkeccak_state_reset(3), libkeccak_state_destroy(3), libkeccak_state_fast_destroy(3), libkeccak_state_copy(3), libkeccak_fast_update(3), libkeccak_zerocopy_update(3), libkeccak_update(3), libkeccak_fast_digest(3), libkeccak_zerocopy_digest(3), libkeccak_digest(3), libkeccak_generalised_sum_fd(3), libkeccak_keccaksum_fd(3), libkeccak_sha3sum_fd(3), libkeccak_rawshakesum_fd(3), libkeccak_shakesum_fd(3), libkeccak_spec_cshake(3), libkeccak_spec_sha3(3), libkeccak_spec_shake(3), libkeccak_spec_rawshake(3), libkeccak_spec_check(3), libkeccak_generalised_spec_initialise(3), libkeccak_state_marshal(3), libkeccak_hmac_initialise(3)